/* delay */

.nosotros{
        margin: 0rem auto 13rem auto;
        padding: 0rem 0 3rem 0;
        /* padding-block: clamp(2rem, 4vw, 4rem); */
        border-radius: 28Px;
        /* box-shadow: 0 18px 50px rgba(0, 0, 0, .25); */
        box-shadow: 0 15px 22px rgba(0, 0, 0, .25);
        background: linear-gradient(135deg, #f2f2f291 0%, #0d2c6c21 100%);
        position: relative;
        /* background: linear-gradient(
            135deg, 
            var(--blue-main) 0%, 
            var(--blue-dark) 100%
        ); */
}

/* .nosotros::before {
    content: "";
    position: absolute;
    top: 0%;
    left: 0%;
    width: 60%;
    height: 100%;
    background: radial-gradient(circle, #f9f9f942 0%, transparent 90%);
    opacity: 0.4;
    pointer-events: none;
} */



.contenedor-responsive {
    height: 50vh;
    width: 100%;
    position: relative;
    display: flex;
    align-items: center;
}
.cont-personas-grid{
    display: grid;
    grid-template-columns: repeat(4, minmax(200px, 1fr));
    gap: 2rem;
    align-items: center;
}

/* .cont-persona{
    position: absolute;
} */

.figpersona{
    position: relative;
    display: flex;
    /* height: 260px;
    width: 260px; */
    height: 250px;
    width: auto;
    justify-content: center;
    align-items: center;
    border: 1px solid #000;
    border-radius: 25%;
    border: 1px solid rgba(0, 0, 0, 0.1);
    background: rgba(255, 255, 255, .06);
}

.figpersona img{
    object-position: center;
}

/*afectar a seguna hijo de figpersona*/
.figpersona img:nth-child(2){
    position: absolute;
    opacity: 0;
    transition: opacity 0.5s ease;
}
/* .cont-persona:hover img:first-child{
    display: none;
} */
.cont-persona:hover img:nth-child(2){
    opacity:1;
    transition: opacity 0.5s ease;
}




.cont-persona{
    position: relative;
    display: flex;
    justify-content: center;
    width: 100%;
    height: auto;
    padding: 1.25rem;
}

.cont-personas__skills{
    position: absolute;
    padding: 1rem;
    border-radius: 0.5rem;
    width: 100%;
    /* height: 100%; */
    height: 245px;
    /* opacity: 0; */
    /* transition: opacity 0.5s ease-in-out, transform 0.5s ease-in-out;
    transform: translateY(20px); */
}
.general-item{
    position: absolute;
    font-weight: bold;
    padding: 0.5rem 0.5rem;
    border-radius: 0.5rem;
    width: 195px;
    text-align: center;
    background: rgba(255, 255, 255, .5);
    border: 1px solid rgba(255, 255, 255, .18);
    box-shadow: 0 10px 25px rgba(0, 0, 0, .2);
    backdrop-filter: blur(10px);
}
.title{
    font-size: 2rem;
    top: -2rem;
    left: 0;
    right: 0;
    margin: 0 auto;
}
.lead-serio{
    font-size: 1.5rem;
    bottom: -1.5rem;
    left: 0;
    right: 0;
    margin: 0 auto;
    transition: all 0.1s;

}
.cont-personas__skills.is-visible:hover .lead-serio{
    color: rgb(201, 201, 201);
    transform: translateY(20px);
}

.lead-hobby{
    font-size: 1.5rem;
    bottom: -1.5rem;
    left: 0;
    right: 0;
    margin: 0 auto;    
    /* pointer-events: none; */
    transition: all 0.6s ease;
}
.cont-personas__skills.is-visible:hover .lead-hobby{
    transform: translateY(-20px);
    opacity: 1;
    /* pointer-events: auto; */
}

/* ///////////////////////////// */

.cont-personas__skills .general-item {
  opacity: 0;
  transform: translateY(20px);
  transition:
    opacity .8s ease,
    transform .8s cubic-bezier(.2,.8,.2,1);
}

/* estado activo */

/* cascada interna */
.cont-personas__skills.is-visible .title{
    opacity: 1;
    transform: translateY(0);

}
.cont-personas__skills.is-visible .lead-serio{
    opacity: 1;
    transform: translateY(0);
}
.cont-personas__skills.is-visible .lead-hobby{
    transform: translateY(0);
}



/* MEJORAR ESTE RESPONSIVE!!!!!!!!!!!!!!! */
@media (max-width: 1070px) {
    .cont-personas-grid{
        grid-template-columns: 1fr;
    }
    .cont-persona {
        margin-bottom: 98px;
    }
    .lead-serio {
        bottom: -5%;
        top: inherit;
        left: 32%;
    }
    .cont-personas__skills.is-visible:hover .lead-serio{
        color: rgb(139, 137, 137);
        transform: translateY(0px);
    }
    .lead-hobby {
        font-size: 1.5rem;
        bottom: -8.5rem;
        left: 2%;
         color: white;
        background: var(--blue-soft);
        /* background: rgb(0 20 255 / 24%); */
    }

}

@media (max-width: 470px) {
    .cont-personas-grid{
        grid-template-columns: 1fr;
    }
    .cont-persona {
        margin-bottom: 98px;
    }
    .lead-serio {
        bottom: -5%;
        top: inherit;
        left: 32%;
    }
    .cont-personas__skills.is-visible:hover .lead-serio{
        color: rgb(139, 137, 137);
        transform: translateY(0px);
    }
    .lead-hobby {
        font-size: 1.5rem;
        bottom: -8.5rem;
        left: 2%;
        color: white;
        background: var(--blue-soft);
        /* background: rgb(0 20 255 / 24%); */
    }

}